> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new action-type



## OpenAPI

````yaml post /api/v1/action-types
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/action-types:
    post:
      tags:
        - devices
      summary: Creates a new action-type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionTypeSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/ActionTypeSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/ActionTypeSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/ActionTypeSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    ActionTypeSchema:
      required:
        - icon
        - type
      type: object
      properties:
        payload_type:
          type: string
          enum:
            - json
            - none
            - text
            - file
        json_schema:
          type: object
        json_ui_schema:
          type: object
        timeout:
          type: integer
          format: int64
          nullable: true
        icon:
          type: string
          enum:
            - pencil
            - move
            - money
            - protect
        type:
          type: string
          description: Enter action type name
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````